> For the complete documentation index, see [llms.txt](https://docs.extinctionrebellion.be/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.extinctionrebellion.be/in-practice/using-the-rebels-manager.md).

# Using the Rebels Manager

Each local group has credentials to the Rebels Manager. This app allows them to manage their rebels and is frequently improved based on user feedback.

{% hint style="info" %}
**Looking for support?** **Want to suggest a feature?** Please get in touch on our Mattermost [#rebels-manager](https://organise.earth/xrbelgium/channels/rebels-manager) channel.
{% endhint %}

## Features

* Rebels signing up on extinctionrebellion.be are added to the database
* Rebels are synced with Mailtrain, the emailing app

## Add a signup form to your local group website

Please first get in touch with <it@extinctionrebellion.be> and provide your website URL. We will need to allow signups from your website beforehand.

```markup
<form method="post" action="https://rebels.extinctionrebellion.be/public/rebels">
  <input type="text" name="rebel[name]" id="rebel_name">
  <input type="email" name="rebel[email]" id="rebel_email" required>
  <input type="tel" name="rebel[phone]" id="rebel_phone">
  <input type="text" name="rebel[postcode]" id="rebel_postcode">

  <!-- ask it@extinctionrebellion.be for your Local Group ID -->
  <input type="hidden" name="rebel[local_group_id]" id="rebel_local_group_id" value="[YOUR_LOCAL_GROUP_ID]">

  <!-- for notes/skills -->
  <textarea name="rebel[notes]" id="rebel_notes"></textarea>

  <input type="checkbox" name="rebel[consent]" id="rebel_consent">

  <!-- value can be: en, fr, nl -->
  <input type="hidden" name="rebel[language]" id="rebel_language" value="en">

  <!-- rebel will be redirected to the global 'Thank You' page -->
  <!-- but you can provide another URL -->
  <input type="hidden" name="rebel[redirect]" id="rebel_redirect" value="https://xr-city.be/welcome">

  <input type="submit" value="Join the Rebellion">
</form>
```

## Contributing

* **As a user,** we strongly suggest you to provide feedback and suggest changes/new features on the [#rebels-manager](https://organise.earth/xrbelgium/channels/rebels-manager) Mattermost channel
* **As a developer,** feel free to browse the [Github repository](https://github.com/extinctionrebellion/RebelsManager) and get involved into the development


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.extinctionrebellion.be/in-practice/using-the-rebels-manager.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
